import java.io.FileReader;
import java.io.BufferedReader;
import java.io.IOException;
import java.util.Scanner;
import java.util.Locale;

public class VectorReading {
    public static void main(String[] args) throws IOException {
        Scanner s = null;
        double [] vector = null;
        try {
            System.out.println("Reading: " + args[0]);
            s = new Scanner(new BufferedReader(new FileReader(args[0])));
            s.useLocale(Locale.US);
            // read the first number (that contains the number of
            // elements in the vector
            int number = 0;
            if (!s.hasNextInt()) {
                System.out.println("Did not find the number of elements");
            }
            else {
                number = s.nextInt();
                vector = new double[number];
                int i = 0;
                while (s.hasNext() && i < number) {
                    if (s.hasNextDouble()) {
                        vector[i++] = s.nextDouble();
                    } else {
                        s.next();
                    }   
                } 
            }
        } finally {
            s.close();
        }
        for (int i=0; i<vector.length; i++) 
            System.out.println("Element " + i + " = " + vector[i]);
    }
}
